function M = quarter_wave_matrix(delta, theta)
% mueller matrix of the general retarder according to wikipedia
% p --> phi = retardance angle
% t --> theta = rotation angle
ct = cos(2*theta);
st = sin(2*theta);
cd = cos(delta);
sd = sin(delta);
M = [1, 0, 0, 0; ...
     0, ct^2+st^2*cd, ct*st*(1-cd), st*sd; ...
     0, ct*st*(1-cd), ct^2*cd+st^2, -ct*sd; ...
     0, -st*sd, ct*sd, cd];
end

